# Returns a paginated list of available scopes that can be assigned to clients, optionally filtered by a query Endpoint: GET /v0/scopes Version: 0 Security: authorization_code_with_pkce_0, client_credentials_0 ## Query parameters: - `searchText` (string) Search query - `page` (integer) Requested page - `pageSize` (integer) Requested pagesize ## Response 200 fields (text/plain): - `items` (array, required) - `items.name` (string, required) The name of the scope, which is used to identify it in requests - `items.displayName` (string, required) The display name of the scope, which is used for user-friendly representation - `items.description` (string, required) A brief description of the scope and its purpose - `metadata` (object, required) - `metadata.page` (integer, required) - `metadata.pageSize` (integer, required) - `metadata.totalCount` (integer, required) - `links` (object, required) - `links.first` (string,null) - `links.previous` (string,null) - `links.next` (string,null) - `links.last` (string,null) ## Response 404 fields (text/plain): - `type` (string,null) - `title` (string,null) - `status` (integer,null) - `detail` (string,null) - `instance` (string,null)